Index: interfaz/moc_criptosistemas.cpp
===================================================================
--- interfaz/moc_criptosistemas.cpp	(revision 25a5325e8faab321fb5f106ccbd59e88e0854f29)
+++ interfaz/moc_criptosistemas.cpp	(revision 25a5325e8faab321fb5f106ccbd59e88e0854f29)
@@ -0,0 +1,137 @@
+/****************************************************************************
+** Meta object code from reading C++ file 'criptosistemas.h'
+**
+** Created by: The Qt Meta Object Compiler version 67 (Qt 5.5.1)
+**
+** WARNING! All changes made in this file will be lost!
+*****************************************************************************/
+
+#include "criptosistemas.h"
+#include <QtCore/qbytearray.h>
+#include <QtCore/qmetatype.h>
+#if !defined(Q_MOC_OUTPUT_REVISION)
+#error "The header file 'criptosistemas.h' doesn't include <QObject>."
+#elif Q_MOC_OUTPUT_REVISION != 67
+#error "This file was generated using the moc from 5.5.1. It"
+#error "cannot be used with the include files from this version of Qt."
+#error "(The moc has changed too much.)"
+#endif
+
+QT_BEGIN_MOC_NAMESPACE
+struct qt_meta_stringdata_CriptoSistemas_t {
+    QByteArrayData data[9];
+    char stringdata0[98];
+};
+#define QT_MOC_LITERAL(idx, ofs, len) \
+    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
+    qptrdiff(offsetof(qt_meta_stringdata_CriptoSistemas_t, stringdata0) + ofs \
+        - idx * sizeof(QByteArrayData)) \
+    )
+static const qt_meta_stringdata_CriptoSistemas_t qt_meta_stringdata_CriptoSistemas = {
+    {
+QT_MOC_LITERAL(0, 0, 14), // "CriptoSistemas"
+QT_MOC_LITERAL(1, 15, 6), // "Inicio"
+QT_MOC_LITERAL(2, 22, 0), // ""
+QT_MOC_LITERAL(3, 23, 12), // "OpcionLlaves"
+QT_MOC_LITERAL(4, 36, 13), // "GenerarLlaves"
+QT_MOC_LITERAL(5, 50, 13), // "CifrarArchivo"
+QT_MOC_LITERAL(6, 64, 16), // "DescifrarArchivo"
+QT_MOC_LITERAL(7, 81, 5), // "Ayuda"
+QT_MOC_LITERAL(8, 87, 10) // "OpenFolder"
+
+    },
+    "CriptoSistemas\0Inicio\0\0OpcionLlaves\0"
+    "GenerarLlaves\0CifrarArchivo\0"
+    "DescifrarArchivo\0Ayuda\0OpenFolder"
+};
+#undef QT_MOC_LITERAL
+
+static const uint qt_meta_data_CriptoSistemas[] = {
+
+ // content:
+       7,       // revision
+       0,       // classname
+       0,    0, // classinfo
+       7,   14, // methods
+       0,    0, // properties
+       0,    0, // enums/sets
+       0,    0, // constructors
+       0,       // flags
+       0,       // signalCount
+
+ // slots: name, argc, parameters, tag, flags
+       1,    0,   49,    2, 0x08 /* Private */,
+       3,    0,   50,    2, 0x08 /* Private */,
+       4,    0,   51,    2, 0x08 /* Private */,
+       5,    0,   52,    2, 0x08 /* Private */,
+       6,    0,   53,    2, 0x08 /* Private */,
+       7,    0,   54,    2, 0x08 /* Private */,
+       8,    0,   55,    2, 0x08 /* Private */,
+
+ // slots: parameters
+    QMetaType::Void,
+    QMetaType::Void,
+    QMetaType::Void,
+    QMetaType::Void,
+    QMetaType::Void,
+    QMetaType::Void,
+    QMetaType::QString,
+
+       0        // eod
+};
+
+void CriptoSistemas::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
+{
+    if (_c == QMetaObject::InvokeMetaMethod) {
+        CriptoSistemas *_t = static_cast<CriptoSistemas *>(_o);
+        Q_UNUSED(_t)
+        switch (_id) {
+        case 0: _t->Inicio(); break;
+        case 1: _t->OpcionLlaves(); break;
+        case 2: _t->GenerarLlaves(); break;
+        case 3: _t->CifrarArchivo(); break;
+        case 4: _t->DescifrarArchivo(); break;
+        case 5: _t->Ayuda(); break;
+        case 6: { QString _r = _t->OpenFolder();
+            if (_a[0]) *reinterpret_cast< QString*>(_a[0]) = _r; }  break;
+        default: ;
+        }
+    }
+}
+
+const QMetaObject CriptoSistemas::staticMetaObject = {
+    { &QMainWindow::staticMetaObject, qt_meta_stringdata_CriptoSistemas.data,
+      qt_meta_data_CriptoSistemas,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
+};
+
+
+const QMetaObject *CriptoSistemas::metaObject() const
+{
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+}
+
+void *CriptoSistemas::qt_metacast(const char *_clname)
+{
+    if (!_clname) return Q_NULLPTR;
+    if (!strcmp(_clname, qt_meta_stringdata_CriptoSistemas.stringdata0))
+        return static_cast<void*>(const_cast< CriptoSistemas*>(this));
+    return QMainWindow::qt_metacast(_clname);
+}
+
+int CriptoSistemas::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
+{
+    _id = QMainWindow::qt_metacall(_c, _id, _a);
+    if (_id < 0)
+        return _id;
+    if (_c == QMetaObject::InvokeMetaMethod) {
+        if (_id < 7)
+            qt_static_metacall(this, _c, _id, _a);
+        _id -= 7;
+    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
+        if (_id < 7)
+            *reinterpret_cast<int*>(_a[0]) = -1;
+        _id -= 7;
+    }
+    return _id;
+}
+QT_END_MOC_NAMESPACE
